Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dsygst

    java.lang.Object
      org.netlib.lapack.Dsygst

    public class Dsygst

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DSYGST reduces a real symmetric-definite generalized eigenproblem
     *  to standard form.
     *
     *  If ITYPE = 1, the problem is A*x = lambda*B*x,
     *  and A is overwritten by inv(U**T)*A*inv(U) or inv(L)*A*inv(L**T)
     *
     *  If ITYPE = 2 or 3, the problem is A*B*x = lambda*x or
     *  B*A*x = lambda*x, and A is overwritten by U*A*U**T or L**T*A*L.
     *
     *  B must have been previously factorized as U**T*U or L*L**T by DPOTRF.
     *
     *  Arguments
     *  =========
     *
     *  ITYPE   (input) INTEGER
     *          = 1: compute inv(U**T)*A*inv(U) or inv(L)*A*inv(L**T);
     *          = 2 or 3: compute U*A*U**T or L**T*A*L.
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored and B is factored as
     *                  U**T*U;
     *          = 'L':  Lower triangle of A is stored and B is factored as
     *                  L*L**T.
     *
     *  N       (input) INTEGER
     *          The order of the matrices A and B.  N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the symmetric matrix A.  If UPLO = 'U', the leading
     *          N-by-N upper triangular part of A contains the upper
     *          triangular part of the matrix A, and the strictly lower
     *          triangular part of A is not referenced.  If UPLO = 'L', the
     *          leading N-by-N lower triangular part of A contains the lower

     *          triangular part of the matrix A, and the strictly upper
     *          triangular part of A is not referenced.
     *
     *          On exit, if INFO = 0, the transformed matrix, stored in the
     *          same format as A.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  B       (input) DOUBLE PRECISION array, dimension (LDB,N)
     *          The triangular factor from the Cholesky factorization of B,
     *          as returned by DPOTRF.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dsygst()`

Method Summary
`static void` | `dsygst(int itype, java.lang.String uplo, int n, double[] a, int _a_offset, int lda, double[] b, int _b_offset, int ldb, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dsygst

    public Dsygst()

Method Detail

### dsygst

    public static void dsygst(int itype,
                              java.lang.String uplo,
                              int n,
                              double[] a,
                              int _a_offset,
                              int lda,
                              double[] b,
                              int _b_offset,
                              int ldb,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD